<?php session_start(); ?>
<?php ob_start(); ?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // always modified
header("Cache-Control: no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false); 
header("Cache-Control: private");
header("Pragma: no-cache"); // HTTP/1.0 
?>
<?php
$ewCurSec = 0; // Initialise

// User levels
define("ewAllowadd", 1, true);
define("ewAllowdelete", 2, true);
define("ewAllowedit", 4, true);
define("ewAllowview", 8, true);
define("ewAllowlist", 8, true);
define("ewAllowreport", 8, true);
define("ewAllowsearch", 8, true);																														
define("ewAllowadmin", 16, true);						
?>
<?php
if (@$HTTP_SESSION_VARS["astuser_status"] <> "login") {
	header("Location:  login.php");
	exit();
	if (@$HTTP_SESSION_VARS["astuser_status_UserID"] == "" && @$HTTP_SESSION_VARS["astuser_status_UserLevel"] <> -1) { 
		ob_end_clean();
		header("Location: login.php"); 
		exit();
	}
}
?>
<?php

// Initialize common variables
$x_paid = Null; 
$ox_paid = Null;
$x_paiddate = Null; 
$ox_paiddate = Null;
$x_accountcode = Null; 
$ox_accountcode = Null;
$x_paytype = Null; 
$ox_paytype = Null;
$x_comment = Null; 
$ox_comment = Null;
$x_paidamount = Null; 
$ox_paidamount = Null;
$x_timestamp = Null; 
$ox_timestamp = Null;
$x_date_created = Null; 
$ox_date_created = Null;
?>
<?php
$sExport = @$HTTP_GET_VARS["export"]; // Load Export Request
if ($sExport == "html") {

	// Printer Friendly
}
if ($sExport == "excel") {
	header('Content-Type: application/vnd.ms-excel');
	header('Content-Disposition: attachment; filename=astpayment.xls');
}
if ($sExport == "csv") {
	header('Content-Type: application/csv');
	header('Content-Disposition: attachment; filename=astpayment.csv');
}
?>
<?php include ("db.php") ?>
<?php include ("phpmkrfn.php") ?>
<?php
$nStartRec = 0;
$nStopRec = 0;
$nTotalRecs = 0;
$nRecCount = 0;
$nRecActual = 0;
$sKeyMaster = "";
$sDbWhereMaster = "";
$sSrchAdvanced = "";
$sDbWhereDetail = "";
$sSrchBasic = "";
$sSrchWhere = "";
$sDbWhere = "";
$sDefaultOrderBy = "";
$sDefaultFilter = "";
$sWhere = "";
$sGroupBy = "";
$sHaving = "";
$sOrderBy = "";
$sSqlMasterBase = "";
$sSqlMaster = "";
$sListTrJs = "";
$bEditRow = "";
$nEditRowCnt = "";
$sDeleteConfirmMsg = "";
$nDisplayRecs = 20;
$nRecRange = 10;

// Set up records per page dynamically
SetUpDisplayRecs();

// Open connection to the database
$conn = phpmkr_db_connect(HOST, USER, PASS, DB, PORT);

// Handle Reset Command
ResetCmd();

// Get Search Criteria for Basic Search
SetUpBasicSearch();

// Build Search Criteria
if ($sSrchAdvanced != "") {
	$sSrchWhere = $sSrchAdvanced; // Advanced Search
}
elseif ($sSrchBasic != "") {
	$sSrchWhere = $sSrchBasic; // Basic Search
}

// Save Search Criteria
if ($sSrchWhere != "") {
	$HTTP_SESSION_VARS["astpayment_searchwhere"] = $sSrchWhere;

	// Reset start record counter (new search)
	$nStartRec = 1;
	$HTTP_SESSION_VARS["astpayment_REC"] = $nStartRec;
}
else
{
	$sSrchWhere = @$HTTP_SESSION_VARS["astpayment_searchwhere"];
}

// Build SQL
$sSql = "SELECT * FROM `astpayment`";

// Load Default Filter
$sDefaultFilter = "";
$sGroupBy = "";
$sHaving = "";

// Load Default Order
$sDefaultOrderBy = "";

// Build WHERE condition
$sDbWhere = "";
if ((@$HTTP_SESSION_VARS["astuser_status_UserID"] <> -1) && (@$HTTP_SESSION_VARS["astuser_status_UserID"] <> "")) { // Non system admin
	$sDbWhere .= "(`accountcode` = '" . $HTTP_SESSION_VARS["astuser_status_UserID"] . "') AND ";
}
if ($sDbWhereDetail <> "") {
	$sDbWhere .= "(" . $sDbWhereDetail . ") AND ";
}
if ($sSrchWhere <> "") {
	$sDbWhere .= "(" . $sSrchWhere . ") AND ";
}
if (strlen($sDbWhere) > 5) {
	$sDbWhere = substr($sDbWhere, 0, strlen($sDbWhere)-5); // Trim rightmost AND
}
$sWhere = "";
if ($sDefaultFilter <> "") {
	$sWhere .= "(" . $sDefaultFilter . ") AND ";
}
if ($sDbWhere <> "") {
	$sWhere .= "(" . $sDbWhere . ") AND ";
}
if (substr($sWhere, -5) == " AND ") {
	$sWhere = substr($sWhere, 0, strlen($sWhere)-5);
}
if ($sWhere != "") {
	$sSql .= " WHERE " . $sWhere;
}
if ($sGroupBy != "") {
	$sSql .= " GROUP BY " . $sGroupBy;
}
if ($sHaving != "") {
	$sSql .= " HAVING " . $sHaving;
}

// Set Up Sorting Order
$sOrderBy = "";
SetUpSortOrder();
if ($sOrderBy != "") {
	$sSql .= " ORDER BY " . $sOrderBy;
}

//echo $sSql; // Uncomment to show SQL for debugging
// Export Data only

if (($sExport == "xml") || ($sExport == "csv")) {
	ExportData($sExport, $sSql);
	phpmkr_db_close($conn);
	exit;
}
?>
<?php include ("header.php") ?>
<script type="text/javascript" src="ew.js"></script>
<script type="text/javascript">
<!--
EW_dateSep = "/"; // set date separator	

//-->
</script>
<script type="text/javascript">
<!--
var firstrowoffset = 1; // first data row start at
var tablename = 'ewlistmain'; // table name
var lastrowoffset = 0; // footer row
var usecss = false; // use css
var rowclass = 'ewTableRow'; // row class
var rowaltclass = 'ewTableAltRow'; // row alternate class
var rowmoverclass = 'ewTableHighlightRow'; // row mouse over class
var rowselectedclass = 'ewTableSelectRow'; // row selected class
var roweditclass = 'ewTableEditRow'; // row edit class
var rowcolor = '#FFFFFF'; // row color
var rowaltcolor = '#F5F5F5'; // row alternate color
var rowmovercolor = '#FFCCFF'; // row mouse over color
var rowselectedcolor = '#CCFFFF'; // row selected color
var roweditcolor = '#FFFF99'; // row edit color

//-->
</script>
<script type="text/javascript">
<!--
var EW_HTMLArea;

//-->
</script>
<?php

// Set up Record Set
$rs = phpmkr_query($sSql,$conn) or die("Failed to execute query: " . phpmkr_error() . '<br>SQL: ' . $sSql);
$nTotalRecs = phpmkr_num_rows($rs);
if ($nDisplayRecs <= 0) { // Display All Records
	$nDisplayRecs = $nTotalRecs;
}
$nStartRec = 1;
SetUpStartRec(); // Set Up Start Record Position
?>
<p><span class="phpmaker">TABLE: My Payments
<?php if ($sExport == "") { ?>
&nbsp;&nbsp;<a href="astpaymentlist.php?export=html"><img src='images/print.gif' alt='Printer Friendly' width='16' height='16' border='0'></a>
&nbsp;&nbsp;<a href="astpaymentlist.php?export=excel"><img src='images/exportxls.gif' alt='Export to Excel' width='16' height='16' border='0'></a>
&nbsp;&nbsp;<a href="astpaymentlist.php?export=csv"><img src='images/exportcsv.gif' alt='Export to Csv' width='16' height='16' border='0'></a>
<?php } ?>
</span></p>
<?php if ($sExport == "") { ?>
<form action="astpaymentlist.php">
<table border="0" cellspacing="0" cellpadding="0">
	<tr>
		<td><span class="phpmaker">
			<input type="text" name="psearch" size="20">
			<input type="Submit" name="Submit" value="Search &nbsp;(*)">&nbsp;&nbsp;
			<a href="astpaymentlist.php?cmd=reset">Show all</a>&nbsp;&nbsp;
		</span></td>
	</tr>
	<tr><td><span class="phpmaker"><input type="radio" name="psearchtype" value="" checked>Exact phrase&nbsp;&nbsp;<input type="radio" name="psearchtype" value="AND">All words&nbsp;&nbsp;<input type="radio" name="psearchtype" value="OR">Any word</span></td></tr>
</table>
</form>
<?php } ?>
<?php
if (@$HTTP_SESSION_VARS["ewmsg"] <> "") {
?>
<p><span class="phpmaker" style="color: Red;"><?php echo $HTTP_SESSION_VARS["ewmsg"]; ?></span></p>
<?php
	$HTTP_SESSION_VARS["ewmsg"] = ""; // Clear message
}
?>
<?php if ($nTotalRecs > 0)  { ?>
<form method="post">
<table id="ewlistmain" border="0" cellspacing="1" cellpadding="4" bgcolor="#CCCCCC">
	<!-- Table header -->
	<tr bgcolor="#666666">
		<td valign="top"><span class="phpmaker" style="color: #FFFFFF;">
<?php if ($sExport <> "") { ?>
paid
<?php }else{ ?>
	<a href="astpaymentlist.php?order=<?php echo urlencode("paid"); ?>" class="phpmaker" style="color: #FFFFFF;">paid<?php if (@$HTTP_SESSION_VARS["astpayment_x_paid_Sort"] == "ASC") { ?><img src="images/sortup.gif" width="10" height="9" border="0"><?php } elseif (@$HTTP_SESSION_VARS["astpayment_x_paid_Sort"] == "DESC") { ?><img src="images/sortdown.gif" width="10" height="9" border="0"><?php } ?></a>
<?php } ?>
		</span></td>
		<td valign="top"><span class="phpmaker" style="color: #FFFFFF;">
<?php if ($sExport <> "") { ?>
paiddate
<?php }else{ ?>
	<a href="astpaymentlist.php?order=<?php echo urlencode("paiddate"); ?>" class="phpmaker" style="color: #FFFFFF;">paiddate<?php if (@$HTTP_SESSION_VARS["astpayment_x_paiddate_Sort"] == "ASC") { ?><img src="images/sortup.gif" width="10" height="9" border="0"><?php } elseif (@$HTTP_SESSION_VARS["astpayment_x_paiddate_Sort"] == "DESC") { ?><img src="images/sortdown.gif" width="10" height="9" border="0"><?php } ?></a>
<?php } ?>
		</span></td>
		<td valign="top"><span class="phpmaker" style="color: #FFFFFF;">
<?php if ($sExport <> "") { ?>
accountcode
<?php }else{ ?>
	<a href="astpaymentlist.php?order=<?php echo urlencode("accountcode"); ?>" class="phpmaker" style="color: #FFFFFF;">accountcode&nbsp;(*)<?php if (@$HTTP_SESSION_VARS["astpayment_x_accountcode_Sort"] == "ASC") { ?><img src="images/sortup.gif" width="10" height="9" border="0"><?php } elseif (@$HTTP_SESSION_VARS["astpayment_x_accountcode_Sort"] == "DESC") { ?><img src="images/sortdown.gif" width="10" height="9" border="0"><?php } ?></a>
<?php } ?>
		</span></td>
		<td valign="top"><span class="phpmaker" style="color: #FFFFFF;">
<?php if ($sExport <> "") { ?>
paytype
<?php }else{ ?>
	<a href="astpaymentlist.php?order=<?php echo urlencode("paytype"); ?>" class="phpmaker" style="color: #FFFFFF;">paytype&nbsp;(*)<?php if (@$HTTP_SESSION_VARS["astpayment_x_paytype_Sort"] == "ASC") { ?><img src="images/sortup.gif" width="10" height="9" border="0"><?php } elseif (@$HTTP_SESSION_VARS["astpayment_x_paytype_Sort"] == "DESC") { ?><img src="images/sortdown.gif" width="10" height="9" border="0"><?php } ?></a>
<?php } ?>
		</span></td>
		<td valign="top"><span class="phpmaker" style="color: #FFFFFF;">
<?php if ($sExport <> "") { ?>
comment
<?php }else{ ?>
	<a href="astpaymentlist.php?order=<?php echo urlencode("comment"); ?>" class="phpmaker" style="color: #FFFFFF;">comment&nbsp;(*)<?php if (@$HTTP_SESSION_VARS["astpayment_x_comment_Sort"] == "ASC") { ?><img src="images/sortup.gif" width="10" height="9" border="0"><?php } elseif (@$HTTP_SESSION_VARS["astpayment_x_comment_Sort"] == "DESC") { ?><img src="images/sortdown.gif" width="10" height="9" border="0"><?php } ?></a>
<?php } ?>
		</span></td>
		<td valign="top"><span class="phpmaker" style="color: #FFFFFF;">
<?php if ($sExport <> "") { ?>
paidamount
<?php }else{ ?>
	<a href="astpaymentlist.php?order=<?php echo urlencode("paidamount"); ?>" class="phpmaker" style="color: #FFFFFF;">paidamount<?php if (@$HTTP_SESSION_VARS["astpayment_x_paidamount_Sort"] == "ASC") { ?><img src="images/sortup.gif" width="10" height="9" border="0"><?php } elseif (@$HTTP_SESSION_VARS["astpayment_x_paidamount_Sort"] == "DESC") { ?><img src="images/sortdown.gif" width="10" height="9" border="0"><?php } ?></a>
<?php } ?>
		</span></td>
<?php if ($sExport == "") { ?>
<td>&nbsp;</td>
<?php } ?>
	</tr>
<?php

// Avoid starting record > total records
if ($nStartRec > $nTotalRecs) {
	$nStartRec = $nTotalRecs;
}

// Set the last record to display
$nStopRec = $nStartRec + $nDisplayRecs - 1;

// Move to first record directly for performance reason
$nRecCount = $nStartRec - 1;
if (phpmkr_num_rows($rs) > 0) {
	phpmkr_data_seek($rs, $nStartRec -1);
}
$nRecActual = 0;
while (($row = @phpmkr_fetch_array($rs)) && ($nRecCount < $nStopRec)) {
	$nRecCount = $nRecCount + 1;
	if ($nRecCount >= $nStartRec) {
		$nRecActual++;

		// Set row color
		$sItemRowClass = " bgcolor=\"#FFFFFF\"";
		$sListTrJs = " onmouseover='ew_mouseover(this);' onmouseout='ew_mouseout(this);' onclick='ew_click(this);'";

		// Display alternate color for rows
		if ($nRecCount % 2 <> 1) {
			$sItemRowClass = " bgcolor=\"#F5F5F5\"";
		}
		$x_paid = $row["paid"];
		$x_paiddate = $row["paiddate"];
		$x_accountcode = $row["accountcode"];
		$x_paytype = $row["paytype"];
		$x_comment = $row["comment"];
		$x_paidamount = $row["paidamount"];
		$x_timestamp = $row["timestamp"];
		$x_date_created = $row["date_created"];
?>
	<!-- Table body -->
	<tr<?php echo $sItemRowClass; ?><?php echo $sListTrJs; ?>>
		<!-- paid -->
		<td><span class="phpmaker">
<?php echo $x_paid; ?>
</span></td>
		<!-- paiddate -->
		<td><span class="phpmaker">
<?php echo FormatDateTime($x_paiddate,7); ?>
</span></td>
		<!-- accountcode -->
		<td><span class="phpmaker">
<?php echo $x_accountcode; ?>
</span></td>
		<!-- paytype -->
		<td><span class="phpmaker">
<?php echo $x_paytype; ?>
</span></td>
		<!-- comment -->
		<td><span class="phpmaker">
<?php echo $x_comment; ?>
</span></td>
		<!-- paidamount -->
		<td><span class="phpmaker">
<?php echo $x_paidamount; ?>
</span></td>
<?php if ($sExport == "") { ?>
<td><span class="phpmaker"><a href="<?php if ($x_paid <> "") {echo "astpaymentview.php?paid=" . urlencode($x_paid); } else { echo "javascript:alert('Invalid Record! Key is null');";} ?>"><img src='images/browse.gif' alt='View' width='16' height='16' border='0'></a></span></td>
<?php } ?>
	</tr>
<?php
	}
}
?>
</table>
</form>
<?php } ?>
<?php

// Close recordset and connection
phpmkr_free_result($rs);
phpmkr_db_close($conn);
?>
<?php if ($sExport == "") { ?>
<form action="astpaymentlist.php" name="ewpagerform" id="ewpagerform">
<table bgcolor="" border="0" cellspacing="1" cellpadding="4" bgcolor="#CCCCCC">
	<tr>
		<td nowrap>
<?php
if ($nTotalRecs > 0) {
	$rsEof = ($nTotalRecs < ($nStartRec + $nDisplayRecs));
	$PrevStart = $nStartRec - $nDisplayRecs;
	if ($PrevStart < 1) { $PrevStart = 1; }
	$NextStart = $nStartRec + $nDisplayRecs;
	if ($NextStart > $nTotalRecs) { $NextStart = $nStartRec ; }
	$LastStart = intval(($nTotalRecs-1)/$nDisplayRecs)*$nDisplayRecs+1;
	?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpmaker">Page&nbsp;</span></td>
<!--first page button-->
	<?php if ($nStartRec == 1) { ?>
	<td><img src="images/firstdisab.gif" alt="First" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="astpaymentlist.php?start=1"><img src="images/first.gif" alt="First" width="16" height="16" border="0"></a></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($PrevStart == $nStartRec) { ?>
	<td><img src="images/prevdisab.gif" alt="Previous" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="astpaymentlist.php?start=<?php echo $PrevStart; ?>"><img src="images/prev.gif" alt="Previous" width="16" height="16" border="0"></a></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="pageno" value="<?php echo intval(($nStartRec-1)/$nDisplayRecs+1); ?>" size="4"></td>
<!--next page button-->
	<?php if ($NextStart == $nStartRec) { ?>
	<td><img src="images/nextdisab.gif" alt="Next" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="astpaymentlist.php?start=<?php echo $NextStart; ?>"><img src="images/next.gif" alt="Next" width="16" height="16" border="0"></a></td>
	<?php  } ?>
<!--last page button-->
	<?php if ($LastStart == $nStartRec) { ?>
	<td><img src="images/lastdisab.gif" alt="Last" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="astpaymentlist.php?start=<?php echo $LastStart; ?>"><img src="images/last.gif" alt="Last" width="16" height="16" border="0"></a></td>
	<?php } ?>
	<td><span class="phpmaker">&nbsp;of <?php echo intval(($nTotalRecs-1)/$nDisplayRecs+1);?></span></td>
	</tr></table>
	<?php if ($nStartRec > $nTotalRecs) { $nStartRec = $nTotalRecs; }
	$nStopRec = $nStartRec + $nDisplayRecs - 1;
	$nRecCount = $nTotalRecs - 1;
	if ($rsEof) { $nRecCount = $nTotalRecs; }
	if ($nStopRec > $nRecCount) { $nStopRec = $nRecCount; } ?>
	<span class="phpmaker">Records <?php echo $nStartRec; ?> to <?php echo $nStopRec; ?> of <?php echo $nTotalRecs; ?></span>
<?php } else { ?>
	<span class="phpmaker">No records found</span>
<?php } ?>
		</td>
<?php if ($nTotalRecs > 0) { ?>
		<td nowrap>&nbsp;&nbsp;&nbsp;&nbsp;</td>
		<td align="right" valign="top" nowrap><span class="phpmaker">Records Per Page&nbsp;
<select name="RecPerPage" onChange="this.form.pageno.value = 1;this.form.submit();" class="phpmaker">
<option value="10"<?php if ($nDisplayRecs == 10) { echo " selected";  }?>>10</option>
<option value="20"<?php if ($nDisplayRecs == 20) { echo " selected";  }?>>20</option>
<option value="50"<?php if ($nDisplayRecs == 50) { echo " selected";  }?>>50</option>
<option value="100"<?php if ($nDisplayRecs == 100) { echo " selected";  }?>>100</option>
<option value="ALL"<?php if (@$HTTP_SESSION_VARS["astpayment_RecPerPage"] == -1) { echo " selected";  }?>>All Records</option>
</select>
		</span></td>
<?php } ?>
	</tr>
</table>
</form>
<?php } ?>
<?php if ($sExport <> "word" && $sExport <> "excel") { ?>
<?php include ("footer.php") ?>
<?php } ?>
<?php

//-------------------------------------------------------------------------------
// Function SetUpDisplayRecs
// - Set up Number of Records displayed per page based on Form element RecPerPage
// - Variables setup: nDisplayRecs

function SetUpDisplayRecs()
{
	global $HTTP_SESSION_VARS;
	global $HTTP_GET_VARS;
	global $nStartRec;
	global $nDisplayRecs;
	global $nTotalRecs;
	$sWrk = @$HTTP_GET_VARS["RecPerPage"];
	if ($sWrk <> "") {
		if (is_numeric($sWrk)) {
			$nDisplayRecs = $sWrk;
		}else{
			if (strtoupper($sWrk) == "ALL") { // Display All Records
				$nDisplayRecs = -1;
			}else{
				$nDisplayRecs = 20;  // Non-numeric, Load Default
			}
		}
		$HTTP_SESSION_VARS["astpayment_RecPerPage"] = $nDisplayRecs; // Save to Session

		// Reset Start Position (Reset Command)
		$nStartRec = 1;
		$HTTP_SESSION_VARS["astpayment_REC"] = $nStartRec;
	}else{
		if (@$HTTP_SESSION_VARS["astpayment_RecPerPage"] <> "") {
			$nDisplayRecs = $HTTP_SESSION_VARS["astpayment_RecPerPage"]; // Restore from Session
		}else{
			$nDisplayRecs = 20; // Load Default
		}
	}
}

//-------------------------------------------------------------------------------
// Function BasicSearchSQL
// - Build WHERE clause for a keyword

function BasicSearchSQL($Keyword)
{
	$sKeyword = (!get_magic_quotes_gpc()) ? addslashes($Keyword) : $Keyword;
	$BasicSearchSQL = "";
	$BasicSearchSQL.= "`accountcode` LIKE '%" . $sKeyword . "%' OR ";
	$BasicSearchSQL.= "`paytype` LIKE '%" . $sKeyword . "%' OR ";
	$BasicSearchSQL.= "`comment` LIKE '%" . $sKeyword . "%' OR ";
	if (substr($BasicSearchSQL, -4) == " OR ") { $BasicSearchSQL = substr($BasicSearchSQL, 0, strlen($BasicSearchSQL)-4); }
	return $BasicSearchSQL;
}

//-------------------------------------------------------------------------------
// Function SetUpBasicSearch
// - Set up Basic Search parameter based on form elements pSearch & pSearchType
// - Variables setup: sSrchBasic

function SetUpBasicSearch()
{
	global $HTTP_GET_VARS;
	global $sSrchBasic;
	$sSearch = (!get_magic_quotes_gpc()) ? addslashes(@$HTTP_GET_VARS["psearch"]) : @$HTTP_GET_VARS["psearch"];
	$sSearchType = @$HTTP_GET_VARS["psearchtype"];
	if ($sSearch <> "") {
		if ($sSearchType <> "") {
			while (strpos($sSearch, "  ") != false) {
				$sSearch = str_replace("  ", " ",$sSearch);
			}
			$arKeyword = split(" ", trim($sSearch));
			foreach ($arKeyword as $sKeyword)
			{
				$sSrchBasic .= "(" . BasicSearchSQL($sKeyword) . ") " . $sSearchType . " ";
			}
		}
		else
		{
			$sSrchBasic = BasicSearchSQL($sSearch);
		}
	}
	if (substr($sSrchBasic, -4) == " OR ") { $sSrchBasic = substr($sSrchBasic, 0, strlen($sSrchBasic)-4); }
	if (substr($sSrchBasic, -5) == " AND ") { $sSrchBasic = substr($sSrchBasic, 0, strlen($sSrchBasic)-5); }
}

//-------------------------------------------------------------------------------
// Function SetUpSortOrder
// - Set up Sort parameters based on Sort Links clicked
// - Variables setup: sOrderBy, Session("Table_OrderBy"), Session("Table_Field_Sort")

function SetUpSortOrder()
{
	global $HTTP_SESSION_VARS;
	global $HTTP_GET_VARS;
	global $sOrderBy;
	global $sDefaultOrderBy;

	// Check for an Order parameter
	if (strlen(@$HTTP_GET_VARS["order"]) > 0) {
		$sOrder = @$HTTP_GET_VARS["order"];

		// Field paid
		if ($sOrder == "paid") {
			$sSortField = "`paid`";
			$sLastSort = @$HTTP_SESSION_VARS["astpayment_x_paid_Sort"];
			if ($sLastSort == "ASC") { $sThisSort = "DESC"; } else{  $sThisSort = "ASC"; }
			$HTTP_SESSION_VARS["astpayment_x_paid_Sort"] = $sThisSort;
		}
		else
		{
			if (@$HTTP_SESSION_VARS["astpayment_x_paid_Sort"] <> "") { @$HTTP_SESSION_VARS["astpayment_x_paid_Sort"] = ""; }
		}

		// Field paiddate
		if ($sOrder == "paiddate") {
			$sSortField = "`paiddate`";
			$sLastSort = @$HTTP_SESSION_VARS["astpayment_x_paiddate_Sort"];
			if ($sLastSort == "ASC") { $sThisSort = "DESC"; } else{  $sThisSort = "ASC"; }
			$HTTP_SESSION_VARS["astpayment_x_paiddate_Sort"] = $sThisSort;
		}
		else
		{
			if (@$HTTP_SESSION_VARS["astpayment_x_paiddate_Sort"] <> "") { @$HTTP_SESSION_VARS["astpayment_x_paiddate_Sort"] = ""; }
		}

		// Field accountcode
		if ($sOrder == "accountcode") {
			$sSortField = "`accountcode`";
			$sLastSort = @$HTTP_SESSION_VARS["astpayment_x_accountcode_Sort"];
			if ($sLastSort == "ASC") { $sThisSort = "DESC"; } else{  $sThisSort = "ASC"; }
			$HTTP_SESSION_VARS["astpayment_x_accountcode_Sort"] = $sThisSort;
		}
		else
		{
			if (@$HTTP_SESSION_VARS["astpayment_x_accountcode_Sort"] <> "") { @$HTTP_SESSION_VARS["astpayment_x_accountcode_Sort"] = ""; }
		}

		// Field paytype
		if ($sOrder == "paytype") {
			$sSortField = "`paytype`";
			$sLastSort = @$HTTP_SESSION_VARS["astpayment_x_paytype_Sort"];
			if ($sLastSort == "ASC") { $sThisSort = "DESC"; } else{  $sThisSort = "ASC"; }
			$HTTP_SESSION_VARS["astpayment_x_paytype_Sort"] = $sThisSort;
		}
		else
		{
			if (@$HTTP_SESSION_VARS["astpayment_x_paytype_Sort"] <> "") { @$HTTP_SESSION_VARS["astpayment_x_paytype_Sort"] = ""; }
		}

		// Field comment
		if ($sOrder == "comment") {
			$sSortField = "`comment`";
			$sLastSort = @$HTTP_SESSION_VARS["astpayment_x_comment_Sort"];
			if ($sLastSort == "ASC") { $sThisSort = "DESC"; } else{  $sThisSort = "ASC"; }
			$HTTP_SESSION_VARS["astpayment_x_comment_Sort"] = $sThisSort;
		}
		else
		{
			if (@$HTTP_SESSION_VARS["astpayment_x_comment_Sort"] <> "") { @$HTTP_SESSION_VARS["astpayment_x_comment_Sort"] = ""; }
		}

		// Field paidamount
		if ($sOrder == "paidamount") {
			$sSortField = "`paidamount`";
			$sLastSort = @$HTTP_SESSION_VARS["astpayment_x_paidamount_Sort"];
			if ($sLastSort == "ASC") { $sThisSort = "DESC"; } else{  $sThisSort = "ASC"; }
			$HTTP_SESSION_VARS["astpayment_x_paidamount_Sort"] = $sThisSort;
		}
		else
		{
			if (@$HTTP_SESSION_VARS["astpayment_x_paidamount_Sort"] <> "") { @$HTTP_SESSION_VARS["astpayment_x_paidamount_Sort"] = ""; }
		}
		$HTTP_SESSION_VARS["astpayment_OrderBy"] = $sSortField . " " . $sThisSort;
		$HTTP_SESSION_VARS["astpayment_REC"] = 1;
	}
	$sOrderBy = @$HTTP_SESSION_VARS["astpayment_OrderBy"];
	if ($sOrderBy == "") {
		$sOrderBy = $sDefaultOrderBy;
		$HTTP_SESSION_VARS["astpayment_OrderBy"] = $sOrderBy;
	}
}

//-------------------------------------------------------------------------------
// Function SetUpStartRec
//- Set up Starting Record parameters based on Pager Navigation
// - Variables setup: nStartRec

function SetUpStartRec()
{

	// Check for a START parameter
	global $HTTP_SESSION_VARS;
	global $HTTP_GET_VARS;
	global $nStartRec;
	global $nDisplayRecs;
	global $nTotalRecs;
	if (strlen(@$HTTP_GET_VARS["start"]) > 0) {
		$nStartRec = @$HTTP_GET_VARS["start"];
		$HTTP_SESSION_VARS["astpayment_REC"] = $nStartRec;
	}elseif (strlen(@$HTTP_GET_VARS["pageno"]) > 0) {
		$nPageNo = @$HTTP_GET_VARS["pageno"];
		if (is_numeric($nPageNo)) {
			$nStartRec = ($nPageNo-1)*$nDisplayRecs+1;
			if ($nStartRec <= 0) {
				$nStartRec = 1;
			}elseif ($nStartRec >= (($nTotalRecs-1)/$nDisplayRecs)*$nDisplayRecs+1) {
				$nStartRec = (($nTotalRecs-1)/$nDisplayRecs)*$nDisplayRecs+1;
			}
			$HTTP_SESSION_VARS["astpayment_REC"] = $nStartRec;
		}else{
			$nStartRec = @$HTTP_SESSION_VARS["astpayment_REC"];
			if  (!(is_numeric($nStartRec)) || ($nStartRec == "")) {
				$nStartRec = 1; // Reset start record counter
				$HTTP_SESSION_VARS["astpayment_REC"] = $nStartRec;
			}
		}
	}else{
		$nStartRec = @$HTTP_SESSION_VARS["astpayment_REC"];
		if (!(is_numeric($nStartRec)) || ($nStartRec == "")) {
			$nStartRec = 1; //Reset start record counter
			$HTTP_SESSION_VARS["astpayment_REC"] = $nStartRec;
		}
	}
}

//-------------------------------------------------------------------------------
// Function ResetCmd
// - Clear list page parameters
// - RESET: reset search parameters
// - RESETALL: reset search & master/detail parameters
// - RESETSORT: reset sort parameters

function ResetCmd()
{
		global $HTTP_SESSION_VARS;
		global $HTTP_GET_VARS;

	// Get Reset Cmd
	if (strlen(@$HTTP_GET_VARS["cmd"]) > 0) {
		$sCmd = @$HTTP_GET_VARS["cmd"];

		// Reset Search Criteria
		if (strtoupper($sCmd) == "RESET") {
			$sSrchWhere = "";
			$HTTP_SESSION_VARS["astpayment_searchwhere"] = $sSrchWhere;

		// Reset Search Criteria & Session Keys
		}elseif (strtoupper($sCmd) == "RESETALL") {
			$sSrchWhere = "";
			$HTTP_SESSION_VARS["astpayment_searchwhere"] = $sSrchWhere;

		// Reset Sort Criteria
		}
		elseif (strtoupper($sCmd) == "RESETSORT") {
			$sOrderBy = "";
			$HTTP_SESSION_VARS["astpayment_OrderBy"] = $sOrderBy;
			if (@$HTTP_SESSION_VARS["astpayment_x_paid_Sort"] <> "") { $HTTP_SESSION_VARS["astpayment_x_paid_Sort"] = ""; }
			if (@$HTTP_SESSION_VARS["astpayment_x_paiddate_Sort"] <> "") { $HTTP_SESSION_VARS["astpayment_x_paiddate_Sort"] = ""; }
			if (@$HTTP_SESSION_VARS["astpayment_x_accountcode_Sort"] <> "") { $HTTP_SESSION_VARS["astpayment_x_accountcode_Sort"] = ""; }
			if (@$HTTP_SESSION_VARS["astpayment_x_paytype_Sort"] <> "") { $HTTP_SESSION_VARS["astpayment_x_paytype_Sort"] = ""; }
			if (@$HTTP_SESSION_VARS["astpayment_x_comment_Sort"] <> "") { $HTTP_SESSION_VARS["astpayment_x_comment_Sort"] = ""; }
			if (@$HTTP_SESSION_VARS["astpayment_x_paidamount_Sort"] <> "") { $HTTP_SESSION_VARS["astpayment_x_paidamount_Sort"] = ""; }
		}

		// Reset Start Position (Reset Command)
		$nStartRec = 1;
		$HTTP_SESSION_VARS["astpayment_REC"] = $nStartRec;
	}
}

//-------------------------------------------------------------------------------
// Function ExportData
// - Export Data in Xml or Csv format

function ExportData($sExport, $sSql)
{
	global $conn;
	global $nDisplayRecs;
	global $nStartRec;
	global $nTotalRecs;
	$rs = phpmkr_query($sSql, $conn) or die("Failed to execute query: " . phpmkr_error() . '<br>SQL: ' . $sSql);
	$nTotalRecs = phpmkr_num_rows($rs);
	$nStartRec = 1;
	SetUpStartRec(); // Set Up Start Record Position
	$sCsvStr = NULL;
	$bExcelCSV = true; // if true, replace single double quote to 2 double quotes
	if ($sExport == "csv") {
		$sCsvStr .= "paid" . ",";
		$sCsvStr .= "paiddate" . ",";
		$sCsvStr .= "accountcode" . ",";
		$sCsvStr .= "paytype" . ",";
		$sCsvStr .= "comment" . ",";
		$sCsvStr .= "paidamount" . ",";
		$sCsvStr = substr($sCsvStr, 0, strlen($sCsvStr)-1); // Remove last comma
		$sCsvStr .= "\n";
	}

	// Avoid starting record > total records
	if ($nStartRec > $nTotalRecs) {
		$nStartRec = $nTotalRecs;
	}

	// Set the last record to display
	if ($nDisplayRecs < 0) {
		$nStopRec = $nTotalRecs;
	} else {
		$nStopRec = $nStartRec + $nDisplayRecs - 1;
	}

	// Move to first record directly for performance reason
	$nRecCount = $nStartRec - 1;
	if (phpmkr_num_rows($rs) > 0) {
		phpmkr_data_seek($rs,$nStartRec -1);
	}
	$nRecActual = 0;
	while (($row = @phpmkr_fetch_array($rs)) && ($nRecCount < $nStopRec)) {
		$nRecCount = $nRecCount + 1;
		if ($nRecCount >= $nStartRec) {
			$nRecActual = $nRecActual + 1;
			$x_paid = $row["paid"];
			$x_paiddate = $row["paiddate"];
			$x_accountcode = $row["accountcode"];
			$x_paytype = $row["paytype"];
			$x_comment = $row["comment"];
			$x_paidamount = $row["paidamount"];
			if ($sExport == "csv") {

				// Field paid
				$sCsvStr .= ($bExcelCSV ? "\"" . str_replace("\"","\"\"", $x_paid). "\"" : $x_paid)  . ",";

				// Field paiddate
				$sCsvStr .= ($bExcelCSV ? "\"" . str_replace("\"","\"\"", $x_paiddate). "\"" : $x_paiddate)  . ",";

				// Field accountcode
				$sCsvStr .= ($bExcelCSV ? "\"" . str_replace("\"","\"\"", $x_accountcode). "\"" : $x_accountcode)  . ",";

				// Field paytype
				$sCsvStr .= ($bExcelCSV ? "\"" . str_replace("\"","\"\"", $x_paytype). "\"" : $x_paytype)  . ",";

				// Field comment
				$sCsvStr .= ($bExcelCSV ? "\"" . str_replace("\"","\"\"", $x_comment). "\"" : $x_comment)  . ",";

				// Field paidamount
				$sCsvStr .= ($bExcelCSV ? "\"" . str_replace("\"","\"\"", $x_paidamount). "\"" : $x_paidamount)  . ",";
				$sCsvStr = substr($sCsvStr,0, strlen($sCsvStr)-1); // Remove last comma
				$sCsvStr .= "\n";
			}
		}
	}

	// Close recordset and connection
	phpmkr_free_result($rs);
	ob_end_clean();
	if ($sExport == "csv") {
		echo  $sCsvStr;
	}
}
?>
