<?php session_start(); ?>
<?php ob_start(); ?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // always modified
header("Cache-Control: no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false); 
header("Cache-Control: private");
header("Pragma: no-cache"); // HTTP/1.0 
?>
<?php
$ewCurSec = 0; // Initialise

// User levels
define("ewAllowadd", 1, true);
define("ewAllowdelete", 2, true);
define("ewAllowedit", 4, true);
define("ewAllowview", 8, true);
define("ewAllowlist", 8, true);
define("ewAllowreport", 8, true);
define("ewAllowsearch", 8, true);																														
define("ewAllowadmin", 16, true);						
?>
<?php
if (@$HTTP_SESSION_VARS["astuser_status"] <> "login") {
	header("Location:  login.php");
	exit();
	if (@$HTTP_SESSION_VARS["astuser_status_UserID"] == "" && @$HTTP_SESSION_VARS["astuser_status_UserLevel"] <> -1) { 
		ob_end_clean();
		header("Location: login.php"); 
		exit();
	}
}
?>
<?php

// Initialize common variables
$x_paid = Null; 
$ox_paid = Null;
$x_paiddate = Null; 
$ox_paiddate = Null;
$x_accountcode = Null; 
$ox_accountcode = Null;
$x_paytype = Null; 
$ox_paytype = Null;
$x_comment = Null; 
$ox_comment = Null;
$x_paidamount = Null; 
$ox_paidamount = Null;
$x_timestamp = Null; 
$ox_timestamp = Null;
$x_date_created = Null; 
$ox_date_created = Null;
?>
<?php include ("db.php") ?>
<?php include ("phpmkrfn.php") ?>
<?php

// Get key
$x_paid = @$HTTP_GET_VARS["paid"];
if (($x_paid == "") || (($x_paid == NULL))) {
	ob_end_clean(); 
	header("Location: astpaymentlist.php"); 
	exit();
}

//$x_paid = (get_magic_quotes_gpc()) ? stripslashes($x_paid) : $x_paid;
// Get action

$sAction = @$HTTP_POST_VARS["a_view"];
if (($sAction == "") || (($sAction == NULL))) {
	$sAction = "I";	// Display with input box
}

// Open connection to the database
$conn = phpmkr_db_connect(HOST, USER, PASS, DB, PORT);
switch ($sAction)
{
	case "I": // Get a record to display
		if (!LoadData($conn)) { // Load Record based on key
			$HTTP_SESSION_VARS["ewmsg"] = "No records found";
			phpmkr_db_close($conn);
			ob_end_clean();
			header("Location: astpaymentlist.php");
			exit();
		}
}
?>
<?php include ("header.php") ?>
<script type="text/javascript" src="ew.js"></script>
<p><span class="phpmaker"><img src='images/browse.gif' alt='View' width='16' height='16' border='0'> TABLE: My Payments<br><br>
<a href="astpaymentlist.php">Back to List</a>&nbsp;
</span></p>
<p>
<form>
<table border="0" cellspacing="1" cellpadding="4" bgcolor="#CCCCCC">
	<tr>
		<td bgcolor="#666666"><span class="phpmaker" style="color: #FFFFFF;">paid</span></td>
		<td bgcolor="#F5F5F5"><span class="phpmaker">
<?php echo $x_paid; ?>
</span></td>
	</tr>
	<tr>
		<td bgcolor="#666666"><span class="phpmaker" style="color: #FFFFFF;">paiddate</span></td>
		<td bgcolor="#F5F5F5"><span class="phpmaker">
<?php echo FormatDateTime($x_paiddate,7); ?>
</span></td>
	</tr>
	<tr>
		<td bgcolor="#666666"><span class="phpmaker" style="color: #FFFFFF;">accountcode</span></td>
		<td bgcolor="#F5F5F5"><span class="phpmaker">
<?php echo $x_accountcode; ?>
</span></td>
	</tr>
	<tr>
		<td bgcolor="#666666"><span class="phpmaker" style="color: #FFFFFF;">paytype</span></td>
		<td bgcolor="#F5F5F5"><span class="phpmaker">
<?php echo $x_paytype; ?>
</span></td>
	</tr>
	<tr>
		<td bgcolor="#666666"><span class="phpmaker" style="color: #FFFFFF;">comment</span></td>
		<td bgcolor="#F5F5F5"><span class="phpmaker">
<?php echo $x_comment; ?>
</span></td>
	</tr>
	<tr>
		<td bgcolor="#666666"><span class="phpmaker" style="color: #FFFFFF;">paidamount</span></td>
		<td bgcolor="#F5F5F5"><span class="phpmaker">
<?php echo $x_paidamount; ?>
</span></td>
	</tr>
</table>
</form>
<p>
<?php include ("footer.php") ?>
<?php
phpmkr_db_close($conn);
?>
<?php

//-------------------------------------------------------------------------------
// Function LoadData
// - Load Data based on Key Value sKey
// - Variables setup: field variables

function LoadData($conn)
{
	global $HTTP_SESSION_VARS;
	global $x_paid;
	$sSql = "SELECT * FROM `astpayment`";
	$sWhere = "";
	$sGroupBy = "";
	$sHaving = "";
	$sOrderBy = "";
	if ($sWhere <> "") { $sWhere .= " AND "; }
	$sTmp =  (get_magic_quotes_gpc()) ? stripslashes($x_paid) : $x_paid;
	$sWhere .= "(`paid` = " . addslashes($sTmp) . ")";
	$sSql .= " WHERE " . $sWhere;
	if ((@$HTTP_SESSION_VARS["astuser_status_UserID"] <> -1) && (@$HTTP_SESSION_VARS["astuser_status_UserID"] <> "")) { // Non system admin
		$sSql .= " AND (`accountcode` = '" . $HTTP_SESSION_VARS["astuser_status_UserID"] . "')";
	}
	if ($sGroupBy <> "") {
		$sSql .= " GROUP BY " . $sGroupBy;
	}
	if ($sHaving <> "") {
		$sSql .= " HAVING " . $sHaving;
	}
	if ($sOrderBy <> "") {
		$sSql .= " ORDER BY " . $sOrderBy;
	}
	$rs = phpmkr_query($sSql,$conn) or die("Failed to execute query: " . phpmkr_error() . '<br>SQL: ' . $sSql);
	if (phpmkr_num_rows($rs) == 0) {
		$bLoadData = false;
	}else{
		$bLoadData = true;
		$row = phpmkr_fetch_array($rs);

		// Get the field contents
		$GLOBALS["x_paid"] = $row["paid"];
		$GLOBALS["x_paiddate"] = $row["paiddate"];
		$GLOBALS["x_accountcode"] = $row["accountcode"];
		$GLOBALS["x_paytype"] = $row["paytype"];
		$GLOBALS["x_comment"] = $row["comment"];
		$GLOBALS["x_paidamount"] = $row["paidamount"];
		$GLOBALS["x_timestamp"] = $row["timestamp"];
		$GLOBALS["x_date_created"] = $row["date_created"];
	}
	phpmkr_free_result($rs);
	return $bLoadData;
}
?>
